<div class="uploadfield">
  <input class="inputfield hidden" type="file">
	<div class="input-group">
		<span class="input-group-addon"><span class="glyphicon-file-import"></span></span>
		<div class="form-control pull-right uploadarea">
      <span translate="dropfileshere"></span>
      <span class="badge pull-right">{{filesCount}}</span>
    </div>
	</div>

  <div class="fileload-container">
    <div class="fileload" ng-repeat="file in model[fieldName]">
      <div class="filestate">
        <a href="/api/v1/files/{{::file.docID}}?token={{::token}}" target="_blank" ng-class="{'active': file.active}">
          <span class="icon glyphicon-cloud-upload"></span>
          <div class="filetext">{{::file.filename}}</div>
        </a>
      </div>
      <div class="filedestroy" ng-click="destroy(file)"><span class="glyphicon-bin"></span></div>
    </div>
  </div>
  <div class="hidden" ng-transclude>

  </div>
</div>
